Query Datasets
curl --request POST \
--url https://api.galileo.ai/v2/datasets/query \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"filters": [],
"sort": {
"name": "created_at",
"ascending": false,
"sort_type": "column"
}
}
'import requests
url = "https://api.galileo.ai/v2/datasets/query"
payload = {
"filters": [],
"sort": {
"name": "created_at",
"ascending": False,
"sort_type": "column"
}
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: [], sort: {name: 'created_at', ascending: false, sort_type: 'column'}})
};
fetch('https://api.galileo.ai/v2/datasets/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"datasets": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project_count": 123,
"num_rows": 123,
"column_names": [
"<string>"
],
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"current_version_index": 123,
"draft": true,
"permissions": []
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
Query Datasets
POST
/
v2
/
datasets
/
query
Query Datasets
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Query Parameters
Actions to include in the 'permissions' field.
Available options:
update, delete, share, export, rename Body
application/json
filters
(DatasetNameFilter · object | DatasetDraftFilter · object | DatasetUsedInProjectFilter · object | DatasetIDFilter · object | DatasetNotInProjectFilter · object)[]
- DatasetNameFilter
- DatasetDraftFilter
- DatasetUsedInProjectFilter
- DatasetIDFilter
- DatasetNotInProjectFilter
Show child attributes
Show child attributes
- DatasetNameSort
- DatasetCreatedAtSort
- DatasetUpdatedAtSort
- DatasetProjectLastUsedAtSort
- DatasetProjectsSort
- DatasetRowsSort
- DatasetLastEditedByUserAtSort
Show child attributes
Show child attributes
Was this page helpful?
⌘I